Skip to main content
GET
/
v1
/
representations
Get representations
curl --request GET \
  --url https://api.example.com/v1/representations
[
  {
    "id": 123,
    "dashboard": {
      "id": 123,
      "name": "<string>",
      "isDisabled": true,
      "position": 123,
      "path": "<string>",
      "representations": "<array>"
    },
    "dataset": {
      "id": 123,
      "name": "<string>",
      "isDisabled": true,
      "position": 123,
      "path": "<string>",
      "states": [
        {
          "id": 123,
          "dataset": "<unknown>",
          "name": "<string>",
          "color": 123,
          "position": 123
        }
      ],
      "properties": [
        {
          "id": 123,
          "dataset": "<unknown>",
          "propertyType": {
            "id": "<string>",
            "isAutomatic": true,
            "isPlural": true,
            "isSortable": true,
            "position": 123
          },
          "name": "<string>",
          "isUsedAsTitle": true,
          "isRequired": true,
          "parameters": "<string>",
          "position": 123,
          "options": [
            {
              "id": 123,
              "property": "<unknown>",
              "text": "<string>",
              "color": 123
            }
          ]
        }
      ],
      "representations": "<array>"
    },
    "representationType": {
      "id": "<string>",
      "isAggregated": true,
      "position": 123
    },
    "name": "<string>",
    "parameters": "<string>",
    "position": 123
  }
]

Query Parameters

sorting
string
offset
integer<int32>
limit
integer<int32>
fields
string

Response

OK

id
integer<int32>
dashboard
object
dataset
object
representationType
object
name
string | null
parameters
string | null
position
integer<int32>